#
# spec file for package python-Arpeggio
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Arpeggio
Version:        1.9.0
Release:        2.1
Summary:        Packrat parser interpreter
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/textX/Arpeggio/
Source:         https://github.com/textX/Arpeggio/archive/v%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
Arpeggio is a recursive descent parser with memoization based on PEG grammars
(aka Packrat parser).

For a higher level parsing/language tool (i.e., a nicer interface to
Arpeggio) see textX

%prep
%setup -q -n Arpeggio-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_bin_suffix} -v tests/unit

%files %{python_files}
%doc README.rst CHANGELOG AUTHORS.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Mar  5 2019 tchvatal@suse.com
- Update to 1.9.0:
  * Added `extra_info` param to `Terminal` for additional information.
    Used by textX.
- Switch to github tarball for tests and license content
- Drop merged patch fix-setup-encoding.patch
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Sat Jul  7 2018 sebix+novell.com@sebix.at
- add fix-setup-encoding.patch to fix setup.py encoding issue
- update to version 1.8.0:
  - Fixed issue #43.
  * Backward incompatible change* for cleanpeg comment syntax.
  Please see: https://github.com/igordejanovic/Arpeggio/issues/43
  - Added `file` parser param used for `DebugPrinter` to allow the
  output stream to be changed from stdout. This allows doctests to
  continue to work. Thanks ianmmoir@GitHub.
- update to version 1.7.1:
  - Fixed bug in comment parsing optimization.
- update to version 1.7:
  - Added re_flag parameter to RegExMatch constructor. Thanks Aluriak@GitHub.
  - Fix in grammar language docs. Thanks schmittlauch@GitHub.
  - Small fixes in examples.
* Mon Aug 28 2017 sebix+novell.com@sebix.at
- intial package
